Public Member Functions | List of all members
clan::NetGameConnection Class Reference
clanNetwork NetGame

NetGameConnection. More...

`#include <connection.h>`

## Public Member Functions
| NetGameConnection (NetGameConnectionSite *site, const TCPConnection &connection)
| Constructs a NetGameConnection. More...
| NetGameConnection (NetGameConnectionSite *site, const SocketName &socket_name)
| ~NetGameConnection ()
void | disconnect ()
| Disconnects a client. More...
void * | get_data (const std::string &name) const
| Get data. More...
SocketName | get_remote_name () const
| Get Remote name. More...
void | send_event (const NetGameEvent &game_event)
| Send event. More...
void | set_data (const std::string &name, void *data)
| Set data. More...

## Detailed Description

NetGameConnection.

The documentation for this class was generated from the following file:

- connection.h